User
Update user
Update information for an existing user managed by your service.
Path Parameters
userId*string
User ID (UUID).
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response
200Error Responses
400
invalid_schema
Request validation failed.
401
missing_api_token
No authentication token provided.
401
invalid_api_token
Invalid or expired authentication token.
403
scope_permission_denied
Insufficient permissions for this operation.
403
user_access_denied
Service is not granted access to the user.
403
user_not_managed
User not managed by your service.
500
internal_server_error
Unexpected server error.
curl -X PATCH "https://dev.wingfield.systems/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"birthday": "2019-08-24T14:15:22Z",
"gender": "MALE",
"mainSportType": "TENNIS",
"playingHand": "LEFT"
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "internal_server_error",
"message": "string"
}
}